WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Major trouble with 3.3 update, can't access wp-admin (4 posts)

  1. thebradmiskell
    Member
    Posted 2 years ago #

    I'm building two sites with the same WP theme, Ventura by Ollie McCarthy. The only major difference between the sites--especially where PLUGINS go--is that one employs WPML, the other does not. These are two different sites and clients. I successfully updated to WP 3.3 with the site not employing WPML.Because I've had an issue or two with the theme and WPML, I put off updating the site with the WPML (and STRING) PLUGINS.

    I finally tried last night to update the WPML site to WP 3.3 but immediately got this error atop my admin dashboard or any content box in it:

    Notice: wp_enqueue_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or init hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home/content/g/o/o/goodbyecarbon/html/sutherland/wp-includes/functions.php on line 3578

    My site info:
SITE: http://goodbyecarbon.com/sutherland (The WP install is in this subdirectory)
PHP: 5.2
MySQL: 5.0
Server type and version: Linux, hosting configuration 2.2
I'm using Ventura theme. It was updated to be WPML compatible.

    BACK TO THE STORY:

    After updating to WP 3.3 from the previous latest WP version, I got the above error message referencing wp_enqueue_style. (I think I have debugging activated in my config file).

    Though the error message was disconcerting, I had posted in the WP.org Forum and was awaiting some insight and figured it wasn't too serious because the site looked and functioned fine. But today I tried adding translated copy to a text widget then a page and I got locked out of admin entirely with the previous error message (above) repeated twice followed by this:

    Warning: Cannot modify header information - headers already sent by (output started at /home/content/g/o/o/goodbyecarbon/html/sutherland/wp-includes/functions.php:3578) in /home/content/g/o/o/goodbyecarbon/html/sutherland/wp-includes/pluggable.php on line 866

    I went to WPML Forums where I was told that if WPML was suspected, to delete the plugin via FTP. I did that, as well as another WPML plugin. Unfortunately, that did not help. If I try to access the admin (http://goodbyecarbon.com/sutherland/wp-admin) I get the two "Notes" (above) and the "Warning" (above) and that's it.

    So I'm now locked out of a site I need to soft launch in a couple days...

    Any help would be deeply appreciated.

  2. Peter Wooster
    Member
    Posted 2 years ago #

    Try turning off debug, that may allow you to get into wp-admin. If that doesn't work try disabling the plugins by renaming them from FTP.

    /peter

  3. thebradmiskell
    Member
    Posted 2 years ago #

    Peter,

    I can't thank you enough. Disabling debug let me login to the admin side. I was then able to reactivate the WPML plugins so that widgets with translated text reappeared. Knock on wood, everything seems to be behaving.

    Again, thank you so much.

    Brad Miskell

  4. consultor
    Member
    Posted 2 years ago #

    Hi

    updating from 3.2.1 to 3.3 or 3.3.1 gives me the same warning... .

    I know turning off debug mode and followed the updating instructions , but i manage clients sites who oversees technical issues and debug mode should prove an optimal job...

    any ideas how can be fixed this error [headers already sent] ?

Topic Closed

This topic has been closed to new replies.

About this Topic